Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
rmd160ossl.h File Reference
`#include <stddef.h>`
`#include <openssl/ripemd.h>`

Go to the source code of this file.

## Macros
#define | RMD160_CTX RIPEMD160_CTX
#define | RMD160_Init RIPEMD160_Init
#define | RMD160_Update RIPEMD160_Update
#define | RMD160_BLOCK_LENGTH RIPEMD160_CBLOCK
#define | RMD160_DIGEST_LENGTH RIPEMD160_DIGEST_LENGTH
#define | RMD160_Finish rb_digest_RIPEMD160_finish

## Macro Definition Documentation

## ◆ RMD160_BLOCK_LENGTH

#define RMD160_BLOCK_LENGTH RIPEMD160_CBLOCK

Definition at line 14 of file rmd160ossl.h.

## ◆ RMD160_CTX

#define RMD160_CTX RIPEMD160_CTX

Definition at line 9 of file rmd160ossl.h.

## ◆ RMD160_DIGEST_LENGTH

#define RMD160_DIGEST_LENGTH RIPEMD160_DIGEST_LENGTH

Definition at line 15 of file rmd160ossl.h.

## ◆ RMD160_Finish

#define RMD160_Finish rb_digest_RIPEMD160_finish

## ◆ RMD160_Init

#define RMD160_Init RIPEMD160_Init

Definition at line 11 of file rmd160ossl.h.

## ◆ RMD160_Update

#define RMD160_Update RIPEMD160_Update

Definition at line 12 of file rmd160ossl.h.